Skip to content

Scan Repository

POST
/api/v1/container_registry/repository-scan/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/repository-scan/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"project_name": "cr-39269",
"repository_name": "cr-39269/nginx"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
project_name
string

Example

cr-39269
repository_name
string

Example

cr-39269/nginx

Vulnerability scan status response.

Media typeapplication/json
object
code
integer
data
Array<Array>
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": [
[
"sha256:846993cfd1ec2f814d7f3cfdc8df7aa67ecfe6ab233fd990c82d34eea47beb8e"
]
],
"errors": {},
"message": "Success"
}